IF EXISTS (SELECT name FROM sysobjects
         WHERE name = 'pS_DWCurrSQLConnections' AND type = 'P')
   DROP PROCEDURE pS_DWCurrSQLConnections
GO

/********************************************************************************************/
/* View current application/users connected to SQL Server. You need to run this             */
/* script first, which creates a store procedure and then you will open a different         */
/* windows or you call from anywhere this storore procedure called pS_DWCurrSQLConnections. */ 
/********************************************************************************************/

CREATE PROCEDURE pS_DWCurrSQLConnections
AS
	set nocount on 
	select 
		convert(varchar(10), login_time, 101) + ',' 'Login Date,', 
		convert(varchar(14), login_time, 14) + ',' 'Login Time,', 
		convert(varchar(20), rtrim(loginame)) + ',' 'Login Name,',
		convert(varchar(25), rtrim(nt_domain)) + ',' 'Network Domain,', 
		convert(varchar(20), rtrim(hostname)) + ','  'Workstation Name,',
		convert(varchar(40), rtrim(program_name)) + ',' 'Application Name,', 
		convert(varchar(10), last_batch, 101) + ',' 'CMD Date,', 
		convert(varchar(14), last_batch, 14) + ',' 'CMD Time,', 
		convert(varchar(13), rtrim(ma.status)) + ',' 'Status,', 
		convert(varchar(13), rtrim(net_library)) + ',' 'Connection Type,',   
		convert(varchar(15), rtrim(us.name)) 'Group Type'  
	from master..sysprocesses ma, sysusers us
	where ma.uid = us.uid 
--	and loginame <> 'sa' 

go 
